<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
LogVerifyConfig Members
LogVerifyConfig Class Constructors Methods Properties See Also Send Feedback

The LogVerifyConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| LogVerifyConfig | Instantiate a new LogVerifyConfig object, with the default configuration settings.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| CacheSize | The cache size for the internal database environment.
| ContinueAfterFail | Whether continue verifying after a failed check.
| DbFile | The database file name whose logs are to be verified.
| DbName | The database name whose logs are to be verified.
| EndLsn | The ending lsn to verify.
| EndTime | The ending time to verify.
| EnvHome | The home directory of the Berkeley DB environment to be used internally during log verification.
| StartLsn | The starting lsn to verify.
| StartTime | The starting time to verify.
| Verbose | Whether output verbose information.

# See Also

LogVerifyConfig Class
BerkeleyDB Namespace